using System;
using System.Collections;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Windows.Forms;

namespace WindowsApplication27 {
	/// <summary>
	/// Summary description for KBNRDataPanel.
	/// </summary>
	public class KBNRDataPanel : DataPanelBase
	{
		private bool actualDataPnr;
		private Syncfusion.Windows.Forms.Grid.GridDataBoundGrid gbgKBNR;
		public System.Windows.Forms.Panel PanelFiltr;
		private int currentListId=0;
		private	int currentPage=0;
		private	int currentPicture=0;
		private int previousListId=0;
		private	int previousPage=0;
		private	int previousPicture=0;
		private DataTable dtPnr;

		private System.Windows.Forms.Label lblPage;
		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.TextBox tbPage;
		private System.Windows.Forms.TextBox tbPicture;
		private System.Windows.Forms.Splitter splitter1;
		private System.Windows.Forms.Panel KBNRInfoMiddlePanel;
		private System.Windows.Forms.Panel KBNRInfoPanel;
		private System.Windows.Forms.Label lblKatalog;
		private System.Windows.Forms.Label lblKBNR;
		private System.Windows.Forms.Label lblKatalogNameInfo;
		private System.Windows.Forms.Label lblKBNRID;
		private System.Windows.Forms.Label lblPrefix;
		private System.Windows.Forms.Label lblSuffix;
		private System.Windows.Forms.Label lblPrefixInfo;
		private System.Windows.Forms.Label lblSuffixInfo;
		private Syncfusion.Windows.Forms.Grid.GridBoundColumn gbcVK;
		private Syncfusion.Windows.Forms.Grid.GridBoundColumn gbcCurrency;
		private Syncfusion.Windows.Forms.Grid.GridBoundColumn gbcSpacerPNR;
		private Syncfusion.Windows.Forms.Grid.GridDataBoundGrid gbgPNROverview;
		private Syncfusion.Windows.Forms.Grid.GridBoundColumn gbcCountrySize;
		private Syncfusion.Windows.Forms.Grid.GridBoundColumn gbcColorDescription;
		private Syncfusion.Windows.Forms.Grid.GridBoundColumn gbcListIDPnr;
		private Syncfusion.Windows.Forms.Grid.GridBoundColumn gbcKbnrPnr;
		private WindowsApplication27.dsKbnrData dsKbnrData;
		private WindowsApplication27.DSPnrDataShow dsPnrDataShow;
		private Syncfusion.Windows.Forms.Grid.GridBoundColumn gbcPNRNumber;
		private Syncfusion.Windows.Forms.Grid.GridBoundColumn gbcPnrName;
		private Syncfusion.Windows.Forms.Grid.GridBoundColumn gbcSize;
		private Syncfusion.Windows.Forms.Grid.GridBoundColumn gbcColor;
		private Syncfusion.Windows.Forms.Grid.GridBoundColumn gbcPNRPrice;
		private Syncfusion.Windows.Forms.Grid.GridBoundColumn gbcCurrencyCode;
		private Syncfusion.Windows.Forms.Grid.GridBoundColumn gbcPNR;
		private Syncfusion.Windows.Forms.Grid.GridBoundColumn gbcSizeOrder;
		private Syncfusion.Windows.Forms.Grid.GridBoundColumn gbcAusverkauft;
		private Syncfusion.Windows.Forms.Grid.GridBoundColumn gbcFixprice;
		private Syncfusion.Windows.Forms.Grid.GridBoundColumn gbcKBNR;
		private Syncfusion.Windows.Forms.Grid.GridBoundColumn gbcSuffix;
		private Syncfusion.Windows.Forms.Grid.GridBoundColumn gbcBestellSet;
		private Syncfusion.Windows.Forms.Grid.GridBoundColumn gbcPage;
		private Syncfusion.Windows.Forms.Grid.GridBoundColumn gbcPicture;
		private Syncfusion.Windows.Forms.Grid.GridBoundColumn gbcWerbeflaeche;
		private Syncfusion.Windows.Forms.Grid.GridBoundColumn gbcShop;

		/// <summary> 
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		public KBNRDataPanel()
		{
			// This call is required by the Windows.Forms Form Designer.
			InitializeComponent();
			this.DockPadding.Right=5;

			this.dtPnr = new DataTable();
			this.actualDataPnr = false;


			this.gbgPNROverview.SetColHidden(7,7,true);

			this.dtPnr.Columns.Add(new DataColumn("0",System.Type.GetType("System.Int32")));
			this.dtPnr.Columns.Add(new DataColumn("1",System.Type.GetType("System.String")));
			this.dtPnr.Columns.Add(new DataColumn("2",System.Type.GetType("System.String")));
			this.dtPnr.Columns.Add(new DataColumn("3",System.Type.GetType("System.String")));
		

			// TODO: Add any initialization after the InitializeComponent call

		}

		/// <summary> 
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Component Designer generated code
		/// <summary> 
		/// Required method for Designer support - do not modify 
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(KBNRDataPanel));
			this.gbgKBNR = new Syncfusion.Windows.Forms.Grid.GridDataBoundGrid();
			this.dsKbnrData = new WindowsApplication27.dsKbnrData();
			this.gbcKBNR = new Syncfusion.Windows.Forms.Grid.GridBoundColumn();
			this.gbcSuffix = new Syncfusion.Windows.Forms.Grid.GridBoundColumn();
			this.gbcBestellSet = new Syncfusion.Windows.Forms.Grid.GridBoundColumn();
			this.gbcPage = new Syncfusion.Windows.Forms.Grid.GridBoundColumn();
			this.gbcPicture = new Syncfusion.Windows.Forms.Grid.GridBoundColumn();
			this.gbcWerbeflaeche = new Syncfusion.Windows.Forms.Grid.GridBoundColumn();
			this.gbcShop = new Syncfusion.Windows.Forms.Grid.GridBoundColumn();
			this.PanelFiltr = new System.Windows.Forms.Panel();
			this.tbPicture = new System.Windows.Forms.TextBox();
			this.tbPage = new System.Windows.Forms.TextBox();
			this.label1 = new System.Windows.Forms.Label();
			this.lblPage = new System.Windows.Forms.Label();
			this.splitter1 = new System.Windows.Forms.Splitter();
			this.KBNRInfoMiddlePanel = new System.Windows.Forms.Panel();
			this.gbgPNROverview = new Syncfusion.Windows.Forms.Grid.GridDataBoundGrid();
			this.dsPnrDataShow = new WindowsApplication27.DSPnrDataShow();
			this.gbcPNRNumber = new Syncfusion.Windows.Forms.Grid.GridBoundColumn();
			this.gbcPnrName = new Syncfusion.Windows.Forms.Grid.GridBoundColumn();
			this.gbcSize = new Syncfusion.Windows.Forms.Grid.GridBoundColumn();
			this.gbcColor = new Syncfusion.Windows.Forms.Grid.GridBoundColumn();
			this.gbcPNRPrice = new Syncfusion.Windows.Forms.Grid.GridBoundColumn();
			this.gbcCurrencyCode = new Syncfusion.Windows.Forms.Grid.GridBoundColumn();
			this.gbcPNR = new Syncfusion.Windows.Forms.Grid.GridBoundColumn();
			this.gbcSizeOrder = new Syncfusion.Windows.Forms.Grid.GridBoundColumn();
			this.gbcAusverkauft = new Syncfusion.Windows.Forms.Grid.GridBoundColumn();
			this.gbcFixprice = new Syncfusion.Windows.Forms.Grid.GridBoundColumn();
			this.KBNRInfoPanel = new System.Windows.Forms.Panel();
			this.lblSuffixInfo = new System.Windows.Forms.Label();
			this.lblPrefixInfo = new System.Windows.Forms.Label();
			this.lblSuffix = new System.Windows.Forms.Label();
			this.lblPrefix = new System.Windows.Forms.Label();
			this.lblKBNRID = new System.Windows.Forms.Label();
			this.lblKatalogNameInfo = new System.Windows.Forms.Label();
			this.lblKBNR = new System.Windows.Forms.Label();
			this.lblKatalog = new System.Windows.Forms.Label();
			this.gbcCountrySize = new Syncfusion.Windows.Forms.Grid.GridBoundColumn();
			this.gbcColorDescription = new Syncfusion.Windows.Forms.Grid.GridBoundColumn();
			this.gbcListIDPnr = new Syncfusion.Windows.Forms.Grid.GridBoundColumn();
			this.gbcKbnrPnr = new Syncfusion.Windows.Forms.Grid.GridBoundColumn();
			this.gbcVK = new Syncfusion.Windows.Forms.Grid.GridBoundColumn();
			this.gbcCurrency = new Syncfusion.Windows.Forms.Grid.GridBoundColumn();
			this.gbcSpacerPNR = new Syncfusion.Windows.Forms.Grid.GridBoundColumn();
			((System.ComponentModel.ISupportInitialize)(this.gbgKBNR)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.dsKbnrData)).BeginInit();
			this.PanelFiltr.SuspendLayout();
			this.KBNRInfoMiddlePanel.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.gbgPNROverview)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.dsPnrDataShow)).BeginInit();
			this.KBNRInfoPanel.SuspendLayout();
			this.SuspendLayout();
			// 
			// gbgKBNR
			// 
			this.gbgKBNR.AccessibleDescription = resources.GetString("gbgKBNR.AccessibleDescription");
			this.gbgKBNR.AccessibleName = resources.GetString("gbgKBNR.AccessibleName");
			this.gbgKBNR.ActivateCurrentCellBehavior = Syncfusion.Windows.Forms.Grid.GridCellActivateAction.DblClickOnCell;
			this.gbgKBNR.AllowDragSelectedCols = true;
			this.gbgKBNR.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("gbgKBNR.Anchor")));
			this.gbgKBNR.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("gbgKBNR.BackgroundImage")));
			this.gbgKBNR.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
			this.gbgKBNR.DataMember = "List";
			this.gbgKBNR.DataSource = this.dsKbnrData;
			this.gbgKBNR.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("gbgKBNR.Dock")));
			this.gbgKBNR.Enabled = ((bool)(resources.GetObject("gbgKBNR.Enabled")));
			this.gbgKBNR.Font = ((System.Drawing.Font)(resources.GetObject("gbgKBNR.Font")));
			this.gbgKBNR.GridBoundColumns.AddRange(new Syncfusion.Windows.Forms.Grid.GridBoundColumn[] {
																										   this.gbcKBNR,
																										   this.gbcSuffix,
																										   this.gbcBestellSet,
																										   this.gbcPage,
																										   this.gbcPicture,
																										   this.gbcWerbeflaeche,
																										   this.gbcShop});
			this.gbgKBNR.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("gbgKBNR.ImeMode")));
			this.gbgKBNR.ListBoxSelectionMode = System.Windows.Forms.SelectionMode.One;
			this.gbgKBNR.Location = ((System.Drawing.Point)(resources.GetObject("gbgKBNR.Location")));
			this.gbgKBNR.Name = "gbgKBNR";
			this.gbgKBNR.Properties.BackgroundColor = System.Drawing.SystemColors.Window;
			this.gbgKBNR.Properties.RowHeaders = false;
			this.gbgKBNR.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("gbgKBNR.RightToLeft")));
			this.gbgKBNR.ShowCurrentCellBorderBehavior = Syncfusion.Windows.Forms.Grid.GridShowCurrentCellBorder.GrayWhenLostFocus;
			this.gbgKBNR.Size = ((System.Drawing.Size)(resources.GetObject("gbgKBNR.Size")));
			this.gbgKBNR.SortBehavior = Syncfusion.Windows.Forms.Grid.GridSortBehavior.DoubleClick;
			this.gbgKBNR.TabIndex = ((int)(resources.GetObject("gbgKBNR.TabIndex")));
			this.gbgKBNR.Text = resources.GetString("gbgKBNR.Text");
			this.gbgKBNR.ThemesEnabled = true;
			this.gbgKBNR.Visible = ((bool)(resources.GetObject("gbgKBNR.Visible")));
			this.gbgKBNR.DoubleClick += new System.EventHandler(this.gbgKBNR_DoubleClick);
			this.gbgKBNR.CurrentCellValidating += new System.ComponentModel.CancelEventHandler(this.gbgKBNR_CurrentCellValidating);
			this.gbgKBNR.CellDoubleClick += new Syncfusion.Windows.Forms.Grid.GridCellClickEventHandler(this.gbgKBNR_CellDoubleClick);
			this.gbgKBNR.RowLeave += new Syncfusion.Windows.Forms.Grid.GridRowEventHandler(this.gbgKBNR_RowLeave);
			this.gbgKBNR.SizeChanged += new System.EventHandler(this.gbgSizeChanged);
			this.gbgKBNR.PrepareViewStyleInfo += new Syncfusion.Windows.Forms.Grid.GridPrepareViewStyleInfoEventHandler(this.gbgSetViewStyle);
			this.gbgKBNR.CurrentCellMoved += new Syncfusion.Windows.Forms.Grid.GridCurrentCellMovedEventHandler(this.gbgKBNR_CurrentCellMoved);
			// 
			// dsKbnrData
			// 
			this.dsKbnrData.DataSetName = "dsKbnrData";
			this.dsKbnrData.Locale = new System.Globalization.CultureInfo("en-US");
			// 
			// gbcKBNR
			// 
			this.gbcKBNR.HeaderText = resources.GetString("gbcKBNR.HeaderText");
			this.gbcKBNR.MappingName = resources.GetString("gbcKBNR.MappingName");
			this.gbcKBNR.StyleInfo.HorizontalAlignment = Syncfusion.Windows.Forms.Grid.GridHorizontalAlignment.Left;
			// 
			// gbcSuffix
			// 
			this.gbcSuffix.HeaderText = resources.GetString("gbcSuffix.HeaderText");
			this.gbcSuffix.MappingName = resources.GetString("gbcSuffix.MappingName");
			this.gbcSuffix.StyleInfo.HorizontalAlignment = Syncfusion.Windows.Forms.Grid.GridHorizontalAlignment.Left;
			// 
			// gbcBestellSet
			// 
			this.gbcBestellSet.HeaderText = resources.GetString("gbcBestellSet.HeaderText");
			this.gbcBestellSet.MappingName = resources.GetString("gbcBestellSet.MappingName");
			this.gbcBestellSet.StyleInfo.CellType = "TextBox";
			this.gbcBestellSet.StyleInfo.HorizontalAlignment = Syncfusion.Windows.Forms.Grid.GridHorizontalAlignment.Left;
			// 
			// gbcPage
			// 
			this.gbcPage.HeaderText = resources.GetString("gbcPage.HeaderText");
			this.gbcPage.MappingName = resources.GetString("gbcPage.MappingName");
			this.gbcPage.StyleInfo.HorizontalAlignment = Syncfusion.Windows.Forms.Grid.GridHorizontalAlignment.Left;
			// 
			// gbcPicture
			// 
			this.gbcPicture.HeaderText = resources.GetString("gbcPicture.HeaderText");
			this.gbcPicture.MappingName = resources.GetString("gbcPicture.MappingName");
			this.gbcPicture.StyleInfo.HorizontalAlignment = Syncfusion.Windows.Forms.Grid.GridHorizontalAlignment.Left;
			// 
			// gbcWerbeflaeche
			// 
			this.gbcWerbeflaeche.HeaderText = resources.GetString("gbcWerbeflaeche.HeaderText");
			this.gbcWerbeflaeche.MappingName = resources.GetString("gbcWerbeflaeche.MappingName");
			this.gbcWerbeflaeche.StyleInfo.HorizontalAlignment = Syncfusion.Windows.Forms.Grid.GridHorizontalAlignment.Left;
			// 
			// gbcShop
			// 
			this.gbcShop.HeaderText = resources.GetString("gbcShop.HeaderText");
			this.gbcShop.MappingName = resources.GetString("gbcShop.MappingName");
			this.gbcShop.StyleInfo.CellType = "ComboBox";
			this.gbcShop.StyleInfo.DataSource = this.dsKbnrData.Shop;
			this.gbcShop.StyleInfo.DisplayMember = "Legend";
			this.gbcShop.StyleInfo.DropDownStyle = Syncfusion.Windows.Forms.Grid.GridDropDownStyle.Exclusive;
			this.gbcShop.StyleInfo.Enabled = true;
			this.gbcShop.StyleInfo.ValueMember = "Shop";
			// 
			// PanelFiltr
			// 
			this.PanelFiltr.AccessibleDescription = resources.GetString("PanelFiltr.AccessibleDescription");
			this.PanelFiltr.AccessibleName = resources.GetString("PanelFiltr.AccessibleName");
			this.PanelFiltr.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("PanelFiltr.Anchor")));
			this.PanelFiltr.AutoScroll = ((bool)(resources.GetObject("PanelFiltr.AutoScroll")));
			this.PanelFiltr.AutoScrollMargin = ((System.Drawing.Size)(resources.GetObject("PanelFiltr.AutoScrollMargin")));
			this.PanelFiltr.AutoScrollMinSize = ((System.Drawing.Size)(resources.GetObject("PanelFiltr.AutoScrollMinSize")));
			this.PanelFiltr.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("PanelFiltr.BackgroundImage")));
			this.PanelFiltr.Controls.Add(this.tbPicture);
			this.PanelFiltr.Controls.Add(this.tbPage);
			this.PanelFiltr.Controls.Add(this.label1);
			this.PanelFiltr.Controls.Add(this.lblPage);
			this.PanelFiltr.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("PanelFiltr.Dock")));
			this.PanelFiltr.Enabled = ((bool)(resources.GetObject("PanelFiltr.Enabled")));
			this.PanelFiltr.Font = ((System.Drawing.Font)(resources.GetObject("PanelFiltr.Font")));
			this.PanelFiltr.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("PanelFiltr.ImeMode")));
			this.PanelFiltr.Location = ((System.Drawing.Point)(resources.GetObject("PanelFiltr.Location")));
			this.PanelFiltr.Name = "PanelFiltr";
			this.PanelFiltr.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("PanelFiltr.RightToLeft")));
			this.PanelFiltr.Size = ((System.Drawing.Size)(resources.GetObject("PanelFiltr.Size")));
			this.PanelFiltr.TabIndex = ((int)(resources.GetObject("PanelFiltr.TabIndex")));
			this.PanelFiltr.Text = resources.GetString("PanelFiltr.Text");
			this.PanelFiltr.Visible = ((bool)(resources.GetObject("PanelFiltr.Visible")));
			// 
			// tbPicture
			// 
			this.tbPicture.AccessibleDescription = resources.GetString("tbPicture.AccessibleDescription");
			this.tbPicture.AccessibleName = resources.GetString("tbPicture.AccessibleName");
			this.tbPicture.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("tbPicture.Anchor")));
			this.tbPicture.AutoSize = ((bool)(resources.GetObject("tbPicture.AutoSize")));
			this.tbPicture.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("tbPicture.BackgroundImage")));
			this.tbPicture.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("tbPicture.Dock")));
			this.tbPicture.Enabled = ((bool)(resources.GetObject("tbPicture.Enabled")));
			this.tbPicture.Font = ((System.Drawing.Font)(resources.GetObject("tbPicture.Font")));
			this.tbPicture.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("tbPicture.ImeMode")));
			this.tbPicture.Location = ((System.Drawing.Point)(resources.GetObject("tbPicture.Location")));
			this.tbPicture.MaxLength = ((int)(resources.GetObject("tbPicture.MaxLength")));
			this.tbPicture.Multiline = ((bool)(resources.GetObject("tbPicture.Multiline")));
			this.tbPicture.Name = "tbPicture";
			this.tbPicture.PasswordChar = ((char)(resources.GetObject("tbPicture.PasswordChar")));
			this.tbPicture.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("tbPicture.RightToLeft")));
			this.tbPicture.ScrollBars = ((System.Windows.Forms.ScrollBars)(resources.GetObject("tbPicture.ScrollBars")));
			this.tbPicture.Size = ((System.Drawing.Size)(resources.GetObject("tbPicture.Size")));
			this.tbPicture.TabIndex = ((int)(resources.GetObject("tbPicture.TabIndex")));
			this.tbPicture.Text = resources.GetString("tbPicture.Text");
			this.tbPicture.TextAlign = ((System.Windows.Forms.HorizontalAlignment)(resources.GetObject("tbPicture.TextAlign")));
			this.tbPicture.Visible = ((bool)(resources.GetObject("tbPicture.Visible")));
			this.tbPicture.WordWrap = ((bool)(resources.GetObject("tbPicture.WordWrap")));
			this.tbPicture.Leave += new System.EventHandler(this.PageOrPictureChanged);
			// 
			// tbPage
			// 
			this.tbPage.AccessibleDescription = resources.GetString("tbPage.AccessibleDescription");
			this.tbPage.AccessibleName = resources.GetString("tbPage.AccessibleName");
			this.tbPage.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("tbPage.Anchor")));
			this.tbPage.AutoSize = ((bool)(resources.GetObject("tbPage.AutoSize")));
			this.tbPage.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("tbPage.BackgroundImage")));
			this.tbPage.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("tbPage.Dock")));
			this.tbPage.Enabled = ((bool)(resources.GetObject("tbPage.Enabled")));
			this.tbPage.Font = ((System.Drawing.Font)(resources.GetObject("tbPage.Font")));
			this.tbPage.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("tbPage.ImeMode")));
			this.tbPage.Location = ((System.Drawing.Point)(resources.GetObject("tbPage.Location")));
			this.tbPage.MaxLength = ((int)(resources.GetObject("tbPage.MaxLength")));
			this.tbPage.Multiline = ((bool)(resources.GetObject("tbPage.Multiline")));
			this.tbPage.Name = "tbPage";
			this.tbPage.PasswordChar = ((char)(resources.GetObject("tbPage.PasswordChar")));
			this.tbPage.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("tbPage.RightToLeft")));
			this.tbPage.ScrollBars = ((System.Windows.Forms.ScrollBars)(resources.GetObject("tbPage.ScrollBars")));
			this.tbPage.Size = ((System.Drawing.Size)(resources.GetObject("tbPage.Size")));
			this.tbPage.TabIndex = ((int)(resources.GetObject("tbPage.TabIndex")));
			this.tbPage.Text = resources.GetString("tbPage.Text");
			this.tbPage.TextAlign = ((System.Windows.Forms.HorizontalAlignment)(resources.GetObject("tbPage.TextAlign")));
			this.tbPage.Visible = ((bool)(resources.GetObject("tbPage.Visible")));
			this.tbPage.WordWrap = ((bool)(resources.GetObject("tbPage.WordWrap")));
			this.tbPage.Leave += new System.EventHandler(this.PageOrPictureChanged);
			// 
			// label1
			// 
			this.label1.AccessibleDescription = resources.GetString("label1.AccessibleDescription");
			this.label1.AccessibleName = resources.GetString("label1.AccessibleName");
			this.label1.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("label1.Anchor")));
			this.label1.AutoSize = ((bool)(resources.GetObject("label1.AutoSize")));
			this.label1.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("label1.Dock")));
			this.label1.Enabled = ((bool)(resources.GetObject("label1.Enabled")));
			this.label1.Font = ((System.Drawing.Font)(resources.GetObject("label1.Font")));
			this.label1.Image = ((System.Drawing.Image)(resources.GetObject("label1.Image")));
			this.label1.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label1.ImageAlign")));
			this.label1.ImageIndex = ((int)(resources.GetObject("label1.ImageIndex")));
			this.label1.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("label1.ImeMode")));
			this.label1.Location = ((System.Drawing.Point)(resources.GetObject("label1.Location")));
			this.label1.Name = "label1";
			this.label1.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("label1.RightToLeft")));
			this.label1.Size = ((System.Drawing.Size)(resources.GetObject("label1.Size")));
			this.label1.TabIndex = ((int)(resources.GetObject("label1.TabIndex")));
			this.label1.Text = resources.GetString("label1.Text");
			this.label1.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label1.TextAlign")));
			this.label1.Visible = ((bool)(resources.GetObject("label1.Visible")));
			// 
			// lblPage
			// 
			this.lblPage.AccessibleDescription = resources.GetString("lblPage.AccessibleDescription");
			this.lblPage.AccessibleName = resources.GetString("lblPage.AccessibleName");
			this.lblPage.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("lblPage.Anchor")));
			this.lblPage.AutoSize = ((bool)(resources.GetObject("lblPage.AutoSize")));
			this.lblPage.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("lblPage.Dock")));
			this.lblPage.Enabled = ((bool)(resources.GetObject("lblPage.Enabled")));
			this.lblPage.Font = ((System.Drawing.Font)(resources.GetObject("lblPage.Font")));
			this.lblPage.Image = ((System.Drawing.Image)(resources.GetObject("lblPage.Image")));
			this.lblPage.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("lblPage.ImageAlign")));
			this.lblPage.ImageIndex = ((int)(resources.GetObject("lblPage.ImageIndex")));
			this.lblPage.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("lblPage.ImeMode")));
			this.lblPage.Location = ((System.Drawing.Point)(resources.GetObject("lblPage.Location")));
			this.lblPage.Name = "lblPage";
			this.lblPage.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("lblPage.RightToLeft")));
			this.lblPage.Size = ((System.Drawing.Size)(resources.GetObject("lblPage.Size")));
			this.lblPage.TabIndex = ((int)(resources.GetObject("lblPage.TabIndex")));
			this.lblPage.Text = resources.GetString("lblPage.Text");
			this.lblPage.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("lblPage.TextAlign")));
			this.lblPage.Visible = ((bool)(resources.GetObject("lblPage.Visible")));
			// 
			// splitter1
			// 
			this.splitter1.AccessibleDescription = resources.GetString("splitter1.AccessibleDescription");
			this.splitter1.AccessibleName = resources.GetString("splitter1.AccessibleName");
			this.splitter1.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("splitter1.Anchor")));
			this.splitter1.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("splitter1.BackgroundImage")));
			this.splitter1.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("splitter1.Dock")));
			this.splitter1.Enabled = ((bool)(resources.GetObject("splitter1.Enabled")));
			this.splitter1.Font = ((System.Drawing.Font)(resources.GetObject("splitter1.Font")));
			this.splitter1.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("splitter1.ImeMode")));
			this.splitter1.Location = ((System.Drawing.Point)(resources.GetObject("splitter1.Location")));
			this.splitter1.MinExtra = ((int)(resources.GetObject("splitter1.MinExtra")));
			this.splitter1.MinSize = ((int)(resources.GetObject("splitter1.MinSize")));
			this.splitter1.Name = "splitter1";
			this.splitter1.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("splitter1.RightToLeft")));
			this.splitter1.Size = ((System.Drawing.Size)(resources.GetObject("splitter1.Size")));
			this.splitter1.TabIndex = ((int)(resources.GetObject("splitter1.TabIndex")));
			this.splitter1.TabStop = false;
			this.splitter1.Visible = ((bool)(resources.GetObject("splitter1.Visible")));
			// 
			// KBNRInfoMiddlePanel
			// 
			this.KBNRInfoMiddlePanel.AccessibleDescription = resources.GetString("KBNRInfoMiddlePanel.AccessibleDescription");
			this.KBNRInfoMiddlePanel.AccessibleName = resources.GetString("KBNRInfoMiddlePanel.AccessibleName");
			this.KBNRInfoMiddlePanel.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("KBNRInfoMiddlePanel.Anchor")));
			this.KBNRInfoMiddlePanel.AutoScroll = ((bool)(resources.GetObject("KBNRInfoMiddlePanel.AutoScroll")));
			this.KBNRInfoMiddlePanel.AutoScrollMargin = ((System.Drawing.Size)(resources.GetObject("KBNRInfoMiddlePanel.AutoScrollMargin")));
			this.KBNRInfoMiddlePanel.AutoScrollMinSize = ((System.Drawing.Size)(resources.GetObject("KBNRInfoMiddlePanel.AutoScrollMinSize")));
			this.KBNRInfoMiddlePanel.BackColor = System.Drawing.SystemColors.ControlLight;
			this.KBNRInfoMiddlePanel.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("KBNRInfoMiddlePanel.BackgroundImage")));
			this.KBNRInfoMiddlePanel.Controls.Add(this.gbgPNROverview);
			this.KBNRInfoMiddlePanel.Controls.Add(this.KBNRInfoPanel);
			this.KBNRInfoMiddlePanel.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("KBNRInfoMiddlePanel.Dock")));
			this.KBNRInfoMiddlePanel.Enabled = ((bool)(resources.GetObject("KBNRInfoMiddlePanel.Enabled")));
			this.KBNRInfoMiddlePanel.Font = ((System.Drawing.Font)(resources.GetObject("KBNRInfoMiddlePanel.Font")));
			this.KBNRInfoMiddlePanel.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("KBNRInfoMiddlePanel.ImeMode")));
			this.KBNRInfoMiddlePanel.Location = ((System.Drawing.Point)(resources.GetObject("KBNRInfoMiddlePanel.Location")));
			this.KBNRInfoMiddlePanel.Name = "KBNRInfoMiddlePanel";
			this.KBNRInfoMiddlePanel.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("KBNRInfoMiddlePanel.RightToLeft")));
			this.KBNRInfoMiddlePanel.Size = ((System.Drawing.Size)(resources.GetObject("KBNRInfoMiddlePanel.Size")));
			this.KBNRInfoMiddlePanel.TabIndex = ((int)(resources.GetObject("KBNRInfoMiddlePanel.TabIndex")));
			this.KBNRInfoMiddlePanel.Text = resources.GetString("KBNRInfoMiddlePanel.Text");
			this.KBNRInfoMiddlePanel.Visible = ((bool)(resources.GetObject("KBNRInfoMiddlePanel.Visible")));
			// 
			// gbgPNROverview
			// 
			this.gbgPNROverview.AccessibleDescription = resources.GetString("gbgPNROverview.AccessibleDescription");
			this.gbgPNROverview.AccessibleName = resources.GetString("gbgPNROverview.AccessibleName");
			this.gbgPNROverview.ActivateCurrentCellBehavior = Syncfusion.Windows.Forms.Grid.GridCellActivateAction.DblClickOnCell;
			this.gbgPNROverview.AllowDragSelectedCols = true;
			this.gbgPNROverview.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("gbgPNROverview.Anchor")));
			this.gbgPNROverview.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("gbgPNROverview.BackgroundImage")));
			this.gbgPNROverview.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
			this.gbgPNROverview.DataMember = "PnrList";
			this.gbgPNROverview.DataSource = this.dsPnrDataShow;
			this.gbgPNROverview.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("gbgPNROverview.Dock")));
			this.gbgPNROverview.Enabled = ((bool)(resources.GetObject("gbgPNROverview.Enabled")));
			this.gbgPNROverview.Font = ((System.Drawing.Font)(resources.GetObject("gbgPNROverview.Font")));
			this.gbgPNROverview.GridBoundColumns.AddRange(new Syncfusion.Windows.Forms.Grid.GridBoundColumn[] {
																												  this.gbcPNRNumber,
																												  this.gbcPnrName,
																												  this.gbcSize,
																												  this.gbcColor,
																												  this.gbcPNRPrice,
																												  this.gbcCurrencyCode,
																												  this.gbcPNR,
																												  this.gbcSizeOrder,
																												  this.gbcAusverkauft,
																												  this.gbcFixprice});
			this.gbgPNROverview.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("gbgPNROverview.ImeMode")));
			this.gbgPNROverview.ListBoxSelectionMode = System.Windows.Forms.SelectionMode.One;
			this.gbgPNROverview.Location = ((System.Drawing.Point)(resources.GetObject("gbgPNROverview.Location")));
			this.gbgPNROverview.Name = "gbgPNROverview";
			this.gbgPNROverview.Properties.BackgroundColor = System.Drawing.Color.WhiteSmoke;
			this.gbgPNROverview.Properties.RowHeaders = false;
			this.gbgPNROverview.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("gbgPNROverview.RightToLeft")));
			this.gbgPNROverview.ShowCurrentCellBorderBehavior = Syncfusion.Windows.Forms.Grid.GridShowCurrentCellBorder.GrayWhenLostFocus;
			this.gbgPNROverview.Size = ((System.Drawing.Size)(resources.GetObject("gbgPNROverview.Size")));
			this.gbgPNROverview.SortBehavior = Syncfusion.Windows.Forms.Grid.GridSortBehavior.DoubleClick;
			this.gbgPNROverview.TabIndex = ((int)(resources.GetObject("gbgPNROverview.TabIndex")));
			this.gbgPNROverview.Text = resources.GetString("gbgPNROverview.Text");
			this.gbgPNROverview.ThemesEnabled = true;
			this.gbgPNROverview.Visible = ((bool)(resources.GetObject("gbgPNROverview.Visible")));
			this.gbgPNROverview.DoubleClick += new System.EventHandler(this.gbgPNROverview_DoubleClick);
			this.gbgPNROverview.CurrentCellValidating += new System.ComponentModel.CancelEventHandler(this.gbgPNROverview_CurrentCellValidating);
			this.gbgPNROverview.Enter += new System.EventHandler(this.gbgPNROverview_Enter);
			this.gbgPNROverview.CellDoubleClick += new Syncfusion.Windows.Forms.Grid.GridCellClickEventHandler(this.gbgPNROverview_CellDoubleClick);
			this.gbgPNROverview.RowLeave += new Syncfusion.Windows.Forms.Grid.GridRowEventHandler(this.gbgPNROverview_RowLeave);
			this.gbgPNROverview.SizeChanged += new System.EventHandler(this.gbgSizeChanged);
			this.gbgPNROverview.PrepareViewStyleInfo += new Syncfusion.Windows.Forms.Grid.GridPrepareViewStyleInfoEventHandler(this.gbgSetViewStyle);
			this.gbgPNROverview.CurrentCellMoved += new Syncfusion.Windows.Forms.Grid.GridCurrentCellMovedEventHandler(this.gbgPNROverview_CurrentCellMoved);
			// 
			// dsPnrDataShow
			// 
			this.dsPnrDataShow.DataSetName = "DSPnrDataShow";
			this.dsPnrDataShow.Locale = new System.Globalization.CultureInfo("en-US");
			// 
			// gbcPNRNumber
			// 
			this.gbcPNRNumber.HeaderText = resources.GetString("gbcPNRNumber.HeaderText");
			this.gbcPNRNumber.MappingName = resources.GetString("gbcPNRNumber.MappingName");
			this.gbcPNRNumber.StyleInfo.CellValue = "";
			this.gbcPNRNumber.StyleInfo.Format = "";
			this.gbcPNRNumber.StyleInfo.HorizontalAlignment = Syncfusion.Windows.Forms.Grid.GridHorizontalAlignment.Center;
			this.gbcPNRNumber.StyleInfo.Text = "";
			// 
			// gbcPnrName
			// 
			this.gbcPnrName.HeaderText = resources.GetString("gbcPnrName.HeaderText");
			this.gbcPnrName.MappingName = resources.GetString("gbcPnrName.MappingName");
			this.gbcPnrName.StyleInfo.CellValueType = typeof(string);
			this.gbcPnrName.StyleInfo.Enabled = false;
			// 
			// gbcSize
			// 
			this.gbcSize.HeaderText = resources.GetString("gbcSize.HeaderText");
			this.gbcSize.MappingName = resources.GetString("gbcSize.MappingName");
			this.gbcSize.StyleInfo.CellValueType = typeof(string);
			this.gbcSize.StyleInfo.Enabled = false;
			// 
			// gbcColor
			// 
			this.gbcColor.HeaderText = resources.GetString("gbcColor.HeaderText");
			this.gbcColor.MappingName = resources.GetString("gbcColor.MappingName");
			this.gbcColor.StyleInfo.CellValueType = typeof(string);
			this.gbcColor.StyleInfo.Enabled = false;
			// 
			// gbcPNRPrice
			// 
			this.gbcPNRPrice.HeaderText = resources.GetString("gbcPNRPrice.HeaderText");
			this.gbcPNRPrice.MappingName = resources.GetString("gbcPNRPrice.MappingName");
			this.gbcPNRPrice.StyleInfo.CellType = "Currency";
			this.gbcPNRPrice.StyleInfo.CellValue = "";
			this.gbcPNRPrice.StyleInfo.CurrencyEdit.CurrencyDecimalDigits = ((int)(resources.GetObject("resource.CurrencyDecimalDigits")));
			this.gbcPNRPrice.StyleInfo.CurrencyEdit.CurrencyDecimalSeparator = resources.GetString("resource.CurrencyDecimalSeparator");
			this.gbcPNRPrice.StyleInfo.CurrencyEdit.CurrencyGroupSeparator = resources.GetString("resource.CurrencyGroupSeparator");
			this.gbcPNRPrice.StyleInfo.CurrencyEdit.CurrencyGroupSizes = ((int[])(resources.GetObject("resource.CurrencyGroupSizes")));
			this.gbcPNRPrice.StyleInfo.CurrencyEdit.CurrencyNegativePattern = ((int)(resources.GetObject("resource.CurrencyNegativePattern")));
			this.gbcPNRPrice.StyleInfo.CurrencyEdit.CurrencyNumberDigits = ((int)(resources.GetObject("resource.CurrencyNumberDigits")));
			this.gbcPNRPrice.StyleInfo.CurrencyEdit.CurrencyPositivePattern = ((int)(resources.GetObject("resource.CurrencyPositivePattern")));
			this.gbcPNRPrice.StyleInfo.CurrencyEdit.CurrencySymbol = resources.GetString("resource.CurrencySymbol");
			this.gbcPNRPrice.StyleInfo.CurrencyEdit.NegativeSign = resources.GetString("resource.NegativeSign");
			this.gbcPNRPrice.StyleInfo.CurrencyEdit.UseUserOverride = true;
			this.gbcPNRPrice.StyleInfo.Enabled = true;
			this.gbcPNRPrice.StyleInfo.Format = "";
			this.gbcPNRPrice.StyleInfo.HorizontalAlignment = Syncfusion.Windows.Forms.Grid.GridHorizontalAlignment.Center;
			this.gbcPNRPrice.StyleInfo.Text = "";
			// 
			// gbcCurrencyCode
			// 
			this.gbcCurrencyCode.HeaderText = resources.GetString("gbcCurrencyCode.HeaderText");
			this.gbcCurrencyCode.MappingName = resources.GetString("gbcCurrencyCode.MappingName");
			this.gbcCurrencyCode.StyleInfo.CellType = "ComboBox";
			this.gbcCurrencyCode.StyleInfo.DataSource = this.dsPnrDataShow.Currency;
			this.gbcCurrencyCode.StyleInfo.DisplayMember = "CurrencyCode";
			this.gbcCurrencyCode.StyleInfo.DropDownStyle = Syncfusion.Windows.Forms.Grid.GridDropDownStyle.Exclusive;
			this.gbcCurrencyCode.StyleInfo.Enabled = true;
			this.gbcCurrencyCode.StyleInfo.HorizontalAlignment = Syncfusion.Windows.Forms.Grid.GridHorizontalAlignment.Right;
			this.gbcCurrencyCode.StyleInfo.ValueMember = "CurrencyID";
			// 
			// gbcPNR
			// 
			this.gbcPNR.HeaderText = resources.GetString("gbcPNR.HeaderText");
			this.gbcPNR.MappingName = resources.GetString("gbcPNR.MappingName");
			this.gbcPNR.StyleInfo.CellValueType = typeof(int);
			this.gbcPNR.StyleInfo.Format = "G";
			this.gbcPNR.StyleInfo.HorizontalAlignment = Syncfusion.Windows.Forms.Grid.GridHorizontalAlignment.Right;
			// 
			// gbcSizeOrder
			// 
			this.gbcSizeOrder.HeaderText = resources.GetString("gbcSizeOrder.HeaderText");
			this.gbcSizeOrder.MappingName = resources.GetString("gbcSizeOrder.MappingName");
			this.gbcSizeOrder.StyleInfo.CellValueType = typeof(int);
			this.gbcSizeOrder.StyleInfo.Format = "G";
			this.gbcSizeOrder.StyleInfo.HorizontalAlignment = Syncfusion.Windows.Forms.Grid.GridHorizontalAlignment.Right;
			// 
			// gbcAusverkauft
			// 
			this.gbcAusverkauft.HeaderText = resources.GetString("gbcAusverkauft.HeaderText");
			this.gbcAusverkauft.MappingName = resources.GetString("gbcAusverkauft.MappingName");
			this.gbcAusverkauft.StyleInfo.CellValueType = typeof(int);
			this.gbcAusverkauft.StyleInfo.Format = "G";
			this.gbcAusverkauft.StyleInfo.HorizontalAlignment = Syncfusion.Windows.Forms.Grid.GridHorizontalAlignment.Right;
			// 
			// gbcFixprice
			// 
			this.gbcFixprice.HeaderText = resources.GetString("gbcFixprice.HeaderText");
			this.gbcFixprice.MappingName = resources.GetString("gbcFixprice.MappingName");
			this.gbcFixprice.StyleInfo.CellValueType = typeof(System.Decimal);
			this.gbcFixprice.StyleInfo.Format = "G";
			this.gbcFixprice.StyleInfo.HorizontalAlignment = Syncfusion.Windows.Forms.Grid.GridHorizontalAlignment.Right;
			// 
			// KBNRInfoPanel
			// 
			this.KBNRInfoPanel.AccessibleDescription = resources.GetString("KBNRInfoPanel.AccessibleDescription");
			this.KBNRInfoPanel.AccessibleName = resources.GetString("KBNRInfoPanel.AccessibleName");
			this.KBNRInfoPanel.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("KBNRInfoPanel.Anchor")));
			this.KBNRInfoPanel.AutoScroll = ((bool)(resources.GetObject("KBNRInfoPanel.AutoScroll")));
			this.KBNRInfoPanel.AutoScrollMargin = ((System.Drawing.Size)(resources.GetObject("KBNRInfoPanel.AutoScrollMargin")));
			this.KBNRInfoPanel.AutoScrollMinSize = ((System.Drawing.Size)(resources.GetObject("KBNRInfoPanel.AutoScrollMinSize")));
			this.KBNRInfoPanel.BackColor = System.Drawing.SystemColors.ControlLight;
			this.KBNRInfoPanel.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("KBNRInfoPanel.BackgroundImage")));
			this.KBNRInfoPanel.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
			this.KBNRInfoPanel.Controls.Add(this.lblSuffixInfo);
			this.KBNRInfoPanel.Controls.Add(this.lblPrefixInfo);
			this.KBNRInfoPanel.Controls.Add(this.lblSuffix);
			this.KBNRInfoPanel.Controls.Add(this.lblPrefix);
			this.KBNRInfoPanel.Controls.Add(this.lblKBNRID);
			this.KBNRInfoPanel.Controls.Add(this.lblKatalogNameInfo);
			this.KBNRInfoPanel.Controls.Add(this.lblKBNR);
			this.KBNRInfoPanel.Controls.Add(this.lblKatalog);
			this.KBNRInfoPanel.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("KBNRInfoPanel.Dock")));
			this.KBNRInfoPanel.Enabled = ((bool)(resources.GetObject("KBNRInfoPanel.Enabled")));
			this.KBNRInfoPanel.Font = ((System.Drawing.Font)(resources.GetObject("KBNRInfoPanel.Font")));
			this.KBNRInfoPanel.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("KBNRInfoPanel.ImeMode")));
			this.KBNRInfoPanel.Location = ((System.Drawing.Point)(resources.GetObject("KBNRInfoPanel.Location")));
			this.KBNRInfoPanel.Name = "KBNRInfoPanel";
			this.KBNRInfoPanel.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("KBNRInfoPanel.RightToLeft")));
			this.KBNRInfoPanel.Size = ((System.Drawing.Size)(resources.GetObject("KBNRInfoPanel.Size")));
			this.KBNRInfoPanel.TabIndex = ((int)(resources.GetObject("KBNRInfoPanel.TabIndex")));
			this.KBNRInfoPanel.Text = resources.GetString("KBNRInfoPanel.Text");
			this.KBNRInfoPanel.Visible = ((bool)(resources.GetObject("KBNRInfoPanel.Visible")));
			// 
			// lblSuffixInfo
			// 
			this.lblSuffixInfo.AccessibleDescription = resources.GetString("lblSuffixInfo.AccessibleDescription");
			this.lblSuffixInfo.AccessibleName = resources.GetString("lblSuffixInfo.AccessibleName");
			this.lblSuffixInfo.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("lblSuffixInfo.Anchor")));
			this.lblSuffixInfo.AutoSize = ((bool)(resources.GetObject("lblSuffixInfo.AutoSize")));
			this.lblSuffixInfo.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("lblSuffixInfo.Dock")));
			this.lblSuffixInfo.Enabled = ((bool)(resources.GetObject("lblSuffixInfo.Enabled")));
			this.lblSuffixInfo.Font = ((System.Drawing.Font)(resources.GetObject("lblSuffixInfo.Font")));
			this.lblSuffixInfo.Image = ((System.Drawing.Image)(resources.GetObject("lblSuffixInfo.Image")));
			this.lblSuffixInfo.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("lblSuffixInfo.ImageAlign")));
			this.lblSuffixInfo.ImageIndex = ((int)(resources.GetObject("lblSuffixInfo.ImageIndex")));
			this.lblSuffixInfo.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("lblSuffixInfo.ImeMode")));
			this.lblSuffixInfo.Location = ((System.Drawing.Point)(resources.GetObject("lblSuffixInfo.Location")));
			this.lblSuffixInfo.Name = "lblSuffixInfo";
			this.lblSuffixInfo.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("lblSuffixInfo.RightToLeft")));
			this.lblSuffixInfo.Size = ((System.Drawing.Size)(resources.GetObject("lblSuffixInfo.Size")));
			this.lblSuffixInfo.TabIndex = ((int)(resources.GetObject("lblSuffixInfo.TabIndex")));
			this.lblSuffixInfo.Text = resources.GetString("lblSuffixInfo.Text");
			this.lblSuffixInfo.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("lblSuffixInfo.TextAlign")));
			this.lblSuffixInfo.Visible = ((bool)(resources.GetObject("lblSuffixInfo.Visible")));
			// 
			// lblPrefixInfo
			// 
			this.lblPrefixInfo.AccessibleDescription = resources.GetString("lblPrefixInfo.AccessibleDescription");
			this.lblPrefixInfo.AccessibleName = resources.GetString("lblPrefixInfo.AccessibleName");
			this.lblPrefixInfo.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("lblPrefixInfo.Anchor")));
			this.lblPrefixInfo.AutoSize = ((bool)(resources.GetObject("lblPrefixInfo.AutoSize")));
			this.lblPrefixInfo.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("lblPrefixInfo.Dock")));
			this.lblPrefixInfo.Enabled = ((bool)(resources.GetObject("lblPrefixInfo.Enabled")));
			this.lblPrefixInfo.Font = ((System.Drawing.Font)(resources.GetObject("lblPrefixInfo.Font")));
			this.lblPrefixInfo.Image = ((System.Drawing.Image)(resources.GetObject("lblPrefixInfo.Image")));
			this.lblPrefixInfo.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("lblPrefixInfo.ImageAlign")));
			this.lblPrefixInfo.ImageIndex = ((int)(resources.GetObject("lblPrefixInfo.ImageIndex")));
			this.lblPrefixInfo.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("lblPrefixInfo.ImeMode")));
			this.lblPrefixInfo.Location = ((System.Drawing.Point)(resources.GetObject("lblPrefixInfo.Location")));
			this.lblPrefixInfo.Name = "lblPrefixInfo";
			this.lblPrefixInfo.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("lblPrefixInfo.RightToLeft")));
			this.lblPrefixInfo.Size = ((System.Drawing.Size)(resources.GetObject("lblPrefixInfo.Size")));
			this.lblPrefixInfo.TabIndex = ((int)(resources.GetObject("lblPrefixInfo.TabIndex")));
			this.lblPrefixInfo.Text = resources.GetString("lblPrefixInfo.Text");
			this.lblPrefixInfo.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("lblPrefixInfo.TextAlign")));
			this.lblPrefixInfo.Visible = ((bool)(resources.GetObject("lblPrefixInfo.Visible")));
			// 
			// lblSuffix
			// 
			this.lblSuffix.AccessibleDescription = resources.GetString("lblSuffix.AccessibleDescription");
			this.lblSuffix.AccessibleName = resources.GetString("lblSuffix.AccessibleName");
			this.lblSuffix.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("lblSuffix.Anchor")));
			this.lblSuffix.AutoSize = ((bool)(resources.GetObject("lblSuffix.AutoSize")));
			this.lblSuffix.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("lblSuffix.Dock")));
			this.lblSuffix.Enabled = ((bool)(resources.GetObject("lblSuffix.Enabled")));
			this.lblSuffix.Font = ((System.Drawing.Font)(resources.GetObject("lblSuffix.Font")));
			this.lblSuffix.Image = ((System.Drawing.Image)(resources.GetObject("lblSuffix.Image")));
			this.lblSuffix.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("lblSuffix.ImageAlign")));
			this.lblSuffix.ImageIndex = ((int)(resources.GetObject("lblSuffix.ImageIndex")));
			this.lblSuffix.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("lblSuffix.ImeMode")));
			this.lblSuffix.Location = ((System.Drawing.Point)(resources.GetObject("lblSuffix.Location")));
			this.lblSuffix.Name = "lblSuffix";
			this.lblSuffix.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("lblSuffix.RightToLeft")));
			this.lblSuffix.Size = ((System.Drawing.Size)(resources.GetObject("lblSuffix.Size")));
			this.lblSuffix.TabIndex = ((int)(resources.GetObject("lblSuffix.TabIndex")));
			this.lblSuffix.Text = resources.GetString("lblSuffix.Text");
			this.lblSuffix.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("lblSuffix.TextAlign")));
			this.lblSuffix.Visible = ((bool)(resources.GetObject("lblSuffix.Visible")));
			// 
			// lblPrefix
			// 
			this.lblPrefix.AccessibleDescription = resources.GetString("lblPrefix.AccessibleDescription");
			this.lblPrefix.AccessibleName = resources.GetString("lblPrefix.AccessibleName");
			this.lblPrefix.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("lblPrefix.Anchor")));
			this.lblPrefix.AutoSize = ((bool)(resources.GetObject("lblPrefix.AutoSize")));
			this.lblPrefix.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("lblPrefix.Dock")));
			this.lblPrefix.Enabled = ((bool)(resources.GetObject("lblPrefix.Enabled")));
			this.lblPrefix.Font = ((System.Drawing.Font)(resources.GetObject("lblPrefix.Font")));
			this.lblPrefix.Image = ((System.Drawing.Image)(resources.GetObject("lblPrefix.Image")));
			this.lblPrefix.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("lblPrefix.ImageAlign")));
			this.lblPrefix.ImageIndex = ((int)(resources.GetObject("lblPrefix.ImageIndex")));
			this.lblPrefix.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("lblPrefix.ImeMode")));
			this.lblPrefix.Location = ((System.Drawing.Point)(resources.GetObject("lblPrefix.Location")));
			this.lblPrefix.Name = "lblPrefix";
			this.lblPrefix.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("lblPrefix.RightToLeft")));
			this.lblPrefix.Size = ((System.Drawing.Size)(resources.GetObject("lblPrefix.Size")));
			this.lblPrefix.TabIndex = ((int)(resources.GetObject("lblPrefix.TabIndex")));
			this.lblPrefix.Text = resources.GetString("lblPrefix.Text");
			this.lblPrefix.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("lblPrefix.TextAlign")));
			this.lblPrefix.Visible = ((bool)(resources.GetObject("lblPrefix.Visible")));
			// 
			// lblKBNRID
			// 
			this.lblKBNRID.AccessibleDescription = resources.GetString("lblKBNRID.AccessibleDescription");
			this.lblKBNRID.AccessibleName = resources.GetString("lblKBNRID.AccessibleName");
			this.lblKBNRID.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("lblKBNRID.Anchor")));
			this.lblKBNRID.AutoSize = ((bool)(resources.GetObject("lblKBNRID.AutoSize")));
			this.lblKBNRID.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("lblKBNRID.Dock")));
			this.lblKBNRID.Enabled = ((bool)(resources.GetObject("lblKBNRID.Enabled")));
			this.lblKBNRID.Font = ((System.Drawing.Font)(resources.GetObject("lblKBNRID.Font")));
			this.lblKBNRID.Image = ((System.Drawing.Image)(resources.GetObject("lblKBNRID.Image")));
			this.lblKBNRID.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("lblKBNRID.ImageAlign")));
			this.lblKBNRID.ImageIndex = ((int)(resources.GetObject("lblKBNRID.ImageIndex")));
			this.lblKBNRID.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("lblKBNRID.ImeMode")));
			this.lblKBNRID.Location = ((System.Drawing.Point)(resources.GetObject("lblKBNRID.Location")));
			this.lblKBNRID.Name = "lblKBNRID";
			this.lblKBNRID.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("lblKBNRID.RightToLeft")));
			this.lblKBNRID.Size = ((System.Drawing.Size)(resources.GetObject("lblKBNRID.Size")));
			this.lblKBNRID.TabIndex = ((int)(resources.GetObject("lblKBNRID.TabIndex")));
			this.lblKBNRID.Text = resources.GetString("lblKBNRID.Text");
			this.lblKBNRID.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("lblKBNRID.TextAlign")));
			this.lblKBNRID.Visible = ((bool)(resources.GetObject("lblKBNRID.Visible")));
			// 
			// lblKatalogNameInfo
			// 
			this.lblKatalogNameInfo.AccessibleDescription = resources.GetString("lblKatalogNameInfo.AccessibleDescription");
			this.lblKatalogNameInfo.AccessibleName = resources.GetString("lblKatalogNameInfo.AccessibleName");
			this.lblKatalogNameInfo.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("lblKatalogNameInfo.Anchor")));
			this.lblKatalogNameInfo.AutoSize = ((bool)(resources.GetObject("lblKatalogNameInfo.AutoSize")));
			this.lblKatalogNameInfo.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("lblKatalogNameInfo.Dock")));
			this.lblKatalogNameInfo.Enabled = ((bool)(resources.GetObject("lblKatalogNameInfo.Enabled")));
			this.lblKatalogNameInfo.Font = ((System.Drawing.Font)(resources.GetObject("lblKatalogNameInfo.Font")));
			this.lblKatalogNameInfo.Image = ((System.Drawing.Image)(resources.GetObject("lblKatalogNameInfo.Image")));
			this.lblKatalogNameInfo.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("lblKatalogNameInfo.ImageAlign")));
			this.lblKatalogNameInfo.ImageIndex = ((int)(resources.GetObject("lblKatalogNameInfo.ImageIndex")));
			this.lblKatalogNameInfo.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("lblKatalogNameInfo.ImeMode")));
			this.lblKatalogNameInfo.Location = ((System.Drawing.Point)(resources.GetObject("lblKatalogNameInfo.Location")));
			this.lblKatalogNameInfo.Name = "lblKatalogNameInfo";
			this.lblKatalogNameInfo.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("lblKatalogNameInfo.RightToLeft")));
			this.lblKatalogNameInfo.Size = ((System.Drawing.Size)(resources.GetObject("lblKatalogNameInfo.Size")));
			this.lblKatalogNameInfo.TabIndex = ((int)(resources.GetObject("lblKatalogNameInfo.TabIndex")));
			this.lblKatalogNameInfo.Text = resources.GetString("lblKatalogNameInfo.Text");
			this.lblKatalogNameInfo.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("lblKatalogNameInfo.TextAlign")));
			this.lblKatalogNameInfo.Visible = ((bool)(resources.GetObject("lblKatalogNameInfo.Visible")));
			// 
			// lblKBNR
			// 
			this.lblKBNR.AccessibleDescription = resources.GetString("lblKBNR.AccessibleDescription");
			this.lblKBNR.AccessibleName = resources.GetString("lblKBNR.AccessibleName");
			this.lblKBNR.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("lblKBNR.Anchor")));
			this.lblKBNR.AutoSize = ((bool)(resources.GetObject("lblKBNR.AutoSize")));
			this.lblKBNR.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("lblKBNR.Dock")));
			this.lblKBNR.Enabled = ((bool)(resources.GetObject("lblKBNR.Enabled")));
			this.lblKBNR.Font = ((System.Drawing.Font)(resources.GetObject("lblKBNR.Font")));
			this.lblKBNR.Image = ((System.Drawing.Image)(resources.GetObject("lblKBNR.Image")));
			this.lblKBNR.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("lblKBNR.ImageAlign")));
			this.lblKBNR.ImageIndex = ((int)(resources.GetObject("lblKBNR.ImageIndex")));
			this.lblKBNR.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("lblKBNR.ImeMode")));
			this.lblKBNR.Location = ((System.Drawing.Point)(resources.GetObject("lblKBNR.Location")));
			this.lblKBNR.Name = "lblKBNR";
			this.lblKBNR.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("lblKBNR.RightToLeft")));
			this.lblKBNR.Size = ((System.Drawing.Size)(resources.GetObject("lblKBNR.Size")));
			this.lblKBNR.TabIndex = ((int)(resources.GetObject("lblKBNR.TabIndex")));
			this.lblKBNR.Text = resources.GetString("lblKBNR.Text");
			this.lblKBNR.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("lblKBNR.TextAlign")));
			this.lblKBNR.Visible = ((bool)(resources.GetObject("lblKBNR.Visible")));
			// 
			// lblKatalog
			// 
			this.lblKatalog.AccessibleDescription = resources.GetString("lblKatalog.AccessibleDescription");
			this.lblKatalog.AccessibleName = resources.GetString("lblKatalog.AccessibleName");
			this.lblKatalog.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("lblKatalog.Anchor")));
			this.lblKatalog.AutoSize = ((bool)(resources.GetObject("lblKatalog.AutoSize")));
			this.lblKatalog.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("lblKatalog.Dock")));
			this.lblKatalog.Enabled = ((bool)(resources.GetObject("lblKatalog.Enabled")));
			this.lblKatalog.Font = ((System.Drawing.Font)(resources.GetObject("lblKatalog.Font")));
			this.lblKatalog.Image = ((System.Drawing.Image)(resources.GetObject("lblKatalog.Image")));
			this.lblKatalog.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("lblKatalog.ImageAlign")));
			this.lblKatalog.ImageIndex = ((int)(resources.GetObject("lblKatalog.ImageIndex")));
			this.lblKatalog.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("lblKatalog.ImeMode")));
			this.lblKatalog.Location = ((System.Drawing.Point)(resources.GetObject("lblKatalog.Location")));
			this.lblKatalog.Name = "lblKatalog";
			this.lblKatalog.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("lblKatalog.RightToLeft")));
			this.lblKatalog.Size = ((System.Drawing.Size)(resources.GetObject("lblKatalog.Size")));
			this.lblKatalog.TabIndex = ((int)(resources.GetObject("lblKatalog.TabIndex")));
			this.lblKatalog.Text = resources.GetString("lblKatalog.Text");
			this.lblKatalog.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("lblKatalog.TextAlign")));
			this.lblKatalog.Visible = ((bool)(resources.GetObject("lblKatalog.Visible")));
			// 
			// gbcCountrySize
			// 
			this.gbcCountrySize.HeaderText = resources.GetString("gbcCountrySize.HeaderText");
			this.gbcCountrySize.MappingName = resources.GetString("gbcCountrySize.MappingName");
			this.gbcCountrySize.StyleInfo.Enabled = false;
			this.gbcCountrySize.StyleInfo.HorizontalAlignment = Syncfusion.Windows.Forms.Grid.GridHorizontalAlignment.Center;
			// 
			// gbcColorDescription
			// 
			this.gbcColorDescription.HeaderText = resources.GetString("gbcColorDescription.HeaderText");
			this.gbcColorDescription.MappingName = resources.GetString("gbcColorDescription.MappingName");
			this.gbcColorDescription.StyleInfo.CellValueType = typeof(string);
			this.gbcColorDescription.StyleInfo.Enabled = false;
			// 
			// gbcListIDPnr
			// 
			this.gbcListIDPnr.HeaderText = resources.GetString("gbcListIDPnr.HeaderText");
			this.gbcListIDPnr.MappingName = resources.GetString("gbcListIDPnr.MappingName");
			this.gbcListIDPnr.StyleInfo.CellValueType = typeof(int);
			this.gbcListIDPnr.StyleInfo.Format = "G";
			this.gbcListIDPnr.StyleInfo.HorizontalAlignment = Syncfusion.Windows.Forms.Grid.GridHorizontalAlignment.Right;
			// 
			// gbcKbnrPnr
			// 
			this.gbcKbnrPnr.HeaderText = resources.GetString("gbcKbnrPnr.HeaderText");
			this.gbcKbnrPnr.MappingName = resources.GetString("gbcKbnrPnr.MappingName");
			this.gbcKbnrPnr.StyleInfo.CellValueType = typeof(string);
			// 
			// gbcVK
			// 
			this.gbcVK.HeaderText = resources.GetString("gbcVK.HeaderText");
			this.gbcVK.MappingName = resources.GetString("gbcVK.MappingName");
			// 
			// gbcCurrency
			// 
			this.gbcCurrency.HeaderText = resources.GetString("gbcCurrency.HeaderText");
			this.gbcCurrency.MappingName = resources.GetString("gbcCurrency.MappingName");
			// 
			// gbcSpacerPNR
			// 
			this.gbcSpacerPNR.HeaderText = resources.GetString("gbcSpacerPNR.HeaderText");
			this.gbcSpacerPNR.MappingName = resources.GetString("gbcSpacerPNR.MappingName");
			// 
			// KBNRDataPanel
			// 
			this.AccessibleDescription = resources.GetString("$this.AccessibleDescription");
			this.AccessibleName = resources.GetString("$this.AccessibleName");
			this.AutoScroll = ((bool)(resources.GetObject("$this.AutoScroll")));
			this.AutoScrollMargin = ((System.Drawing.Size)(resources.GetObject("$this.AutoScrollMargin")));
			this.AutoScrollMinSize = ((System.Drawing.Size)(resources.GetObject("$this.AutoScrollMinSize")));
			this.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("$this.BackgroundImage")));
			this.Controls.Add(this.KBNRInfoMiddlePanel);
			this.Controls.Add(this.splitter1);
			this.Controls.Add(this.gbgKBNR);
			this.Controls.Add(this.PanelFiltr);
			this.Enabled = ((bool)(resources.GetObject("$this.Enabled")));
			this.Font = ((System.Drawing.Font)(resources.GetObject("$this.Font")));
			this.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("$this.ImeMode")));
			this.Location = ((System.Drawing.Point)(resources.GetObject("$this.Location")));
			this.Name = "KBNRDataPanel";
			this.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("$this.RightToLeft")));
			this.Size = ((System.Drawing.Size)(resources.GetObject("$this.Size")));
			this.Load += new System.EventHandler(this.KBNRDataPanel_Load);
			((System.ComponentModel.ISupportInitialize)(this.gbgKBNR)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.dsKbnrData)).EndInit();
			this.PanelFiltr.ResumeLayout(false);
			this.KBNRInfoMiddlePanel.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.gbgPNROverview)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.dsPnrDataShow)).EndInit();
			this.KBNRInfoPanel.ResumeLayout(false);
			this.ResumeLayout(false);

		}
		#endregion

		private void PageOrPictureChanged(object sender, System.EventArgs e)
		{
			int newValue=0;
			System.Windows.Forms.TextBox tb = (System.Windows.Forms.TextBox)sender;
			if (tb.Text.Trim() == "")tb.Text="0";
			try
			{
				newValue = int.Parse(tb.Text);
				if (tb.Name==this.tbPage.Name)
				{
					this.currentPage=newValue;
					this.CurrentListPage=newValue;
				}
				else
				{
					this.currentPicture=newValue;
					this.CurrentListPicture=newValue;
				}
			}
			finally 
			{
			}
		}


		#region Property
		/// <summary>
		/// Aktuln strana z katalogu
		/// </summary>
		public int CurrentListPage
		{
			get
			{
				return this.currentPage;
			}
			set
			{
				this.currentPage=value;
				if (this.currentPage != this.previousPage )this.LoadData();
			}
		}
		/// <summary>
		/// Aktuln obrzek z katalogu
		/// </summary>
		public int CurrentListPicture
		{
			get
			{
				return this.currentPicture;
			}
			set
			{
				this.currentPicture=value;
				if (this.currentPicture != this.previousPicture )this.LoadData();
			}
		}
		/// <summary>
		/// Aktuln katalog
		/// </summary>
		public int CurrentListID
		{
			get
			{
				return this.currentListId;
			}
			set
			{
				this.currentListId=value;
				if (this.currentListId != this.previousListId )this.LoadData();
			}
		}
		#endregion
		
		#region public metod
		public override void  LoadData()
		{
//			using (SSW.Veris.Product.Services.ProductServices ps = new SSW.Veris.Product.Services.ProductServices())
//			{
//				this.dsKbnrData.List.Clear();
//				try
//				{
//					this.dsKbnrData.Merge(ps.GetKbnr(this.CurrentListID,this.CurrentListPage,this.CurrentListPicture));
//				} 
//				catch (Exception eq)
//				{
//					MessageManager.LogError(ResReader.Strings.GetString("ERR-0010"), eq);
//				}
//			}


			this.previousListId=this.CurrentListID;
			this.previousPage  =this.CurrentListPage;
			this.previousPicture=this.CurrentListPicture;
		}

		public void LoadKbnrFilteredData(string whereClause)
		{
//			using (SSW.Veris.Product.Services.ProductServices ps = new SSW.Veris.Product.Services.ProductServices())
//			{
//				this.dsKbnrData.List.Clear();
//				try
//				{
//					this.dsKbnrData.Merge(ps.LoadKbnrFilteredData(whereClause));
//				} 
//				catch (Exception eq)
//				{
//					MessageManager.LogError(ResReader.Strings.GetString("ERR-0010"), eq);
//				}
//			}
			this.previousListId=this.CurrentListID;
			this.previousPage  =this.CurrentListPage;
			this.previousPicture=this.CurrentListPicture;
		}
		#endregion

		

			
		#region even for gbgKBNR
		private void gbgKBNR_CurrentCellMoved(object sender, Syncfusion.Windows.Forms.Grid.GridCurrentCellMovedEventArgs e) {
			Syncfusion.Windows.Forms.Grid.GridCurrentCell cc = this.gbgKBNR.CurrentCell;

			if(cc.RowIndex == this.gbgKBNR.Model.RowCount) {

				this.gbgKBNR.Binder.BeginEdit();
		
				this.gbgKBNR[cc.RowIndex,9].CellValue = this.currentListId;

			}

		}

		private void KBNRDataPanel_Load(object sender, System.EventArgs e) {

			this.gbgKBNR.Model.Options.WrapCellBehavior = Syncfusion.Windows.Forms.Grid.GridWrapCellBehavior.NextControlInForm;
			this.gbgPNROverview.Model.Options.WrapCellBehavior = Syncfusion.Windows.Forms.Grid.GridWrapCellBehavior.NextControlInForm;

			this.dsPnrDataShow.Currency.Clear();
			this.dsPnrDataShow.Currency.AddCurrencyRow(1,"CZ","");
			this.dsPnrDataShow.Currency.AddCurrencyRow(2,"DE","");
			this.dsKbnrData.Shop.Clear();
			this.dsKbnrData.Shop.AddShopRow("a1","aaaaaa");
			this.dsKbnrData.Shop.AddShopRow("a2","bbbbbbb");

			this.dsKbnrData.List.AddListRow("1111","",0,1,1,0,"","1111");
			this.dsKbnrData.List.AddListRow("2222","",0,1,1,0,"a1","2222");
			this.dsKbnrData.List.AddListRow("3333","",0,1,1,0,"a2","3333");

		}

		private void gbgKBNR_DoubleClick(object sender, System.EventArgs e) {
			this.showPnrDetail();
		
		}

		private void gbgKBNR_CellDoubleClick(object sender, Syncfusion.Windows.Forms.Grid.GridCellClickEventArgs e) {
			this.showPnrDetail();
		}

		private void gbgKBNR_RowLeave(object sender, Syncfusion.Windows.Forms.Grid.GridRowEventArgs e) {
			Syncfusion.Windows.Forms.Grid.GridCurrentCell cc = this.gbgKBNR.CurrentCell;
		
			//je vyplnna 
			if (cc.RowIndex != this.gbgKBNR.Model.RowCount){
				if (cc.ColIndex == this.gbgKBNR.NameToColIndex("Kbnr")){
					if (cc.Renderer.ControlText.Trim().Length == 0){
						MessageBox.Show("Field 'Kbnr' must be fill");
						e.Cancel = true;
						cc.Renderer.ControlText = "";
						cc.CancelEdit();
					}
				}
			}
		
		}

		private void gbgKBNR_CurrentCellValidating(object sender, System.ComponentModel.CancelEventArgs e) {
			Syncfusion.Windows.Forms.Grid.GridCurrentCell cc = this.gbgKBNR.CurrentCell;
		
			//je vyplnna 
			if (cc.ColIndex == this.gbgKBNR.NameToColIndex("Kbnr")){
				if (cc.Renderer.ControlText.Trim().Length == 0){
					MessageBox.Show("Field must be fill");
					e.Cancel = true;
					cc.Renderer.ControlText = "";
					cc.CancelEdit();
				}
			}
		}

		#endregion

		#region event for grid gbgPNROverview
		private void gbgPNROverview_CurrentCellMoved(object sender, Syncfusion.Windows.Forms.Grid.GridCurrentCellMovedEventArgs e) {
			Syncfusion.Windows.Forms.Grid.GridCurrentCell cc = this.gbgKBNR.CurrentCell;
			if(cc.RowIndex == this.gbgPNROverview.Model.RowCount) {
				if (this.gbgKBNR.CurrentCell.RowIndex != this.gbgKBNR.Model.RowCount)	{

					this.gbgPNROverview.Binder.BeginEdit();
		
					this.gbgPNROverview[cc.RowIndex,10].CellValue = this.currentListId;
					this.gbgPNROverview[cc.RowIndex,11].CellValue = this.gbgKBNR[this.gbgKBNR.CurrentCell.RowIndex,1].CellValue;
				
				}
			}
		}


		private void gbgPNROverview_CurrentCellValidating(object sender, System.ComponentModel.CancelEventArgs e) {
			Syncfusion.Windows.Forms.Grid.GridCurrentCell cc = this.gbgPNROverview.CurrentCell;
			
			if (cc.ColIndex == this.gbgPNROverview.NameToColIndex("Pnr")){
				//je vyplnna 
				if (cc.Renderer.ControlText.Trim().Length == 0){
					MessageBox.Show("Field must be fill");
					e.Cancel = true;
					cc.Renderer.ControlText = "";
					cc.CancelEdit();
				}else{
				
					DataRow row = this.dtPnr.NewRow();
					row[0] = 11;
					row[1] = "koile";
					row[2] = "XXL";
					row[3] = "modr";
					this.dtPnr.Rows.Add(row);

							
					this.gbgPNROverview.Binder.BeginEdit();

					this.gbgPNROverview[cc.RowIndex,2].CellValue = this.dtPnr.Rows[0][1].ToString();
					this.gbgPNROverview[cc.RowIndex,3].CellValue = this.dtPnr.Rows[0][2].ToString();
					this.gbgPNROverview[cc.RowIndex,4].CellValue = this.dtPnr.Rows[0][3].ToString();
					this.gbgPNROverview[cc.RowIndex,7].CellValue = (int)this.dtPnr.Rows[0][0];
				}
			}
		}

		private void gbgPNROverview_DoubleClick(object sender, System.EventArgs e) {
			this.loadPnrDetail();
		}

		private void gbgPNROverview_CellDoubleClick(object sender, Syncfusion.Windows.Forms.Grid.GridCellClickEventArgs e) {
			this.loadPnrDetail();
		}

		private void gbgPNROverview_Enter(object sender, System.EventArgs e) {
//			if (this.gbgKBNR.CurrentCell.RowIndex == this.gbgKBNR.Model.RowCount) this.gbgKBNR.EnableAddNew = false;
//			else this.gbgKBNR.EnableAddNew = true;
			if (!actualDataPnr) showPnrDetail();
			this.actualDataPnr = false;
		
		}

		private void gbgPNROverview_RowLeave(object sender, Syncfusion.Windows.Forms.Grid.GridRowEventArgs e) {
			Syncfusion.Windows.Forms.Grid.GridCurrentCell cc = this.gbgPNROverview.CurrentCell;
		
			//je vyplnna 
			if (cc.RowIndex != this.gbgPNROverview.Model.RowCount){
				if (cc.ColIndex == this.gbgPNROverview.NameToColIndex("Pnr")){
					if (cc.Renderer.ControlText.Trim().Length == 0){
						MessageBox.Show("Field 'Pnr' must be fill");
						e.Cancel = true;
						cc.Renderer.ControlText = "";
						cc.CancelEdit();
					}
				}
			}
		
		}
		#endregion

		private void gbgSizeChanged(object sender, System.EventArgs e) {
			base.GridSizeChanged(sender,e);
		}

		private void gbgSetViewStyle(object sender, Syncfusion.Windows.Forms.Grid.GridPrepareViewStyleInfoEventArgs e) {
			base.SetViewStyleInfo(sender,e);
		}

		private void showPnrDetail(){
			string KBNR="";
			if (this.gbgKBNR.CurrentCell.RowIndex != this.gbgKBNR.Model.RowCount
				&& this.gbgKBNR[this.gbgKBNR.CurrentCell.RowIndex,1].CellValue.ToString().Length != 0){
				KBNR    = SFUtils.GetCurrentGridRowColumn(this.gbgKBNR, "Kbnr")as string;
				
				this.dsPnrDataShow.PnrList.Clear();
				this.dsPnrDataShow.PnrList.AddPnrListRow(15,"125","kalhoty","","XXL",0,"Modr",0,0,1,0);

				DataRow row = this.dtPnr.NewRow();
				row[0] = 11;
				row[1] = "koile";
				row[2] = "XXL";
				row[3] = "modr";
				this.dtPnr.Rows.Add(row);

			}else{
				this.dsPnrDataShow.PnrList.Clear();
				//				katalogID = this.currentListId;
			}
			this.actualDataPnr=true;
		}


		private void loadPnrDetail(){
			int PNRID = int.MinValue;

			if (this.gbgPNROverview.CurrentCell.RowIndex != this.gbgPNROverview.Model.RowCount){

				PNRID = (int)SFUtils.GetCurrentGridRowColumn(this.gbgPNROverview, "PnrID") ;
			}
		}




	}

	
}
